<?php /* Form */

Redux::setSection( $opt_name, array(
	'title'      => __( 'Form', 'wpjobster' ),
	'id'         => 'form-settings',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'       => 'upload-button-settings',
			'type'     => 'section',
			'title'    => esc_html__( 'Upload Button', 'wpjobster' ),
			'indent'   => true,
		),
		array(
			'id'          => 'upload_button_bg_colour',
			'type'        => 'color',
			'output'      => array(
				'background-color' => '#queue ~ .ui.labeled.icon.button.uploadifive-button'
			),
			'title'       => __( 'Background colour', 'wpjobster' ),
			'default'     => '#c4ffef',
			'color_alpha' => true,
		),
		array(
			'id'          => 'upload_button_border_colour',
			'type'        => 'color',
			'output'      => array(
				'border-color' => '#queue ~ .ui.labeled.icon.button.uploadifive-button'
			),
			'title'       => __( 'Border colour', 'wpjobster' ),
			'default'     => '#20c497',
			'color_alpha' => true,
		),
		array(
			'id'          => 'upload_button_text_colour',
			'type'        => 'color',
			'output'      => array(
				'color' => '#queue ~ .ui.labeled.icon.button.uploadifive-button'
			),
			'title'       => __( 'Text colour', 'wpjobster' ),
			'default'     => '#454a60',
			'color_alpha' => true,
		),
		array(
			'id'           => 'upload_button_icon_name',
			'type'         => 'media',
			'url'          => true,
			'title'        => esc_html__( 'Icon', 'wpjobster' ),
			'compiler'     => 'true',
			'preview_size' => 'full',
		),
		array(
			'id'          => 'upload_button_icon_bg_colour',
			'type'        => 'color',
			'output'      => array(
				'background-color' => '#queue ~ .ui.labeled.icon.button.uploadifive-button > .icon'
			),
			'title'       => __( 'Icon background colour', 'wpjobster' ),
			'default'     => '#20c497',
			'color_alpha' => true,
		)
	)
) );