<?php /* Header */

Redux::setSection( $opt_name, array(
	'title'      => __( 'Header', 'wpjobster' ),
	'id'         => 'header-font-settings',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'             => 'header-font-settings',
			'type'           => 'typography',
			'title'          => esc_html__( 'Header font', 'wpjobster' ),
			'google'         => true,
			'all-styles'     => true,
			'all-subsets'    => true,
			'units'          => 'px',
			'word-spacing'   => true,
			'letter-spacing' => true,
			'text-align'     => true,
			'text-transform' => true,
			'default'        => array(
				'color'       => '#333435',
				'font-size'   => '14px',
				'line-height' => '14px',
				'font-family' => 'Poppins',
				'font-weight' => '400',
			),
			'color_alpha' => true,
			'output'      => array( '
				.header-wrapper div,
				.header-wrapper p,
				.header-wrapper span,
				.header-wrapper input::-webkit-input-placeholder,
				.header-wrapper .wpj-view-all-cnt *,
				.header-wrapper .ui.button
			' ),
		),
		array(
			'id'             => 'header-menus-settings',
			'type'           => 'typography',
			'title'          => esc_html__( 'Header menus', 'wpjobster' ),
			'google'         => true,
			'all-styles'     => true,
			'all-subsets'    => true,
			'units'          => 'px',
			'word-spacing'   => true,
			'letter-spacing' => true,
			'text-align'     => true,
			'text-transform' => true,
			'color'          => false,
			'default'        => array(
				'font-size'   => '14px',
				'line-height' => '20px',
				'font-family' => 'Poppins',
				'font-weight' => '400',
			),
			'output' => array( '
				.menu-list-with-children a,
				.user-info-menu a
			' ),
		)
	)
) );
