<div class="ui card article-card">

	<div class="blog_post blog_post_wrapper w100" id="post-<?php the_ID(); ?>">

		<a href="<?php the_permalink() ?>" class="image">

			<div class="image-inner">

				<?php if ( has_post_thumbnail( get_the_ID() ) ) {

					echo get_the_post_thumbnail( get_the_ID(), 'blog_thumbnail_big' );

				} else { ?>

					<img src="<?php echo $no_image_src; ?>" width="300" height="207" />

				<?php } ?>

			</div>

			<div class="post-date">

				<i class="calendar alternate outline icon"></i>

				<?php echo get_the_date( wpj_get_option( 'date_format' ) ); ?>

			</div>

		</a>

		<div class="text-content">

			<h2 class="title">

				<a href="<?php the_permalink(); ?>"><?php echo substr( get_the_title(), 0, 50 ) . '...'; ?></a>

			</h2>

			<div class="description">

				<?php echo substr( get_the_excerpt(), 0, 130 ) . '...'; ?>

			</div>

		</div>

	</div>

</div>