<div class="ui basic padded bordered segment cf review-item">

	<!-- Review User Avatar -->
	<div class="picture">

		<?php wpj_display_user_photo( array( 'uid' => $uid, 'width' => 80, 'height' => 80, 'with_level_image' => false, 'with_link' => false ) ); ?>

	</div>

	<div class="text-content df wpj-review-work-sample-wrapper">

		<div>

			<!-- Review Username and Rating -->
			<div class="cf mb10 mt10">

				<!-- Review Username -->
				<a class="left mr10" href="<?php echo wpj_get_user_profile_link( $uid ); ?>" title="">

					<strong>

						<?php echo wpj_get_user_display_type( $uid );

						if ( count( $custom_offer_result ) > 0 ) { ?>

							<span class="fw400 color-686e77"><?php _e( '(custom job)', 'wpjobster' ); ?></span>

						<?php } ?>

					</strong>

					<div class="grey-time"><?php echo wpj_date( get_option( 'date_format' ), $row->datemade ); ?></div>

				</a>

				<!-- Review Rating -->
				<span class="right user-profile-rating">

					<?php wpj_display_rating_stars( $row->grade ); ?>

				</span>

			</div>

			<!-- Review content -->
			<p class="review-content">

				<?php echo wpj_apply_filter_to_string( stripslashes( $row->reason ), false, 'userprofiles' ); ?>

			</p>

			<!-- Answer review -->
			<?php wpj_display_user_review_response_text( $row->orderid, $row->pid ); ?>

		</div>

		<?php if ( isset( $row->sample ) ) { wpj_display_work_sample_preview_image( $row->sample ); } ?>

	</div>

</div>