<?php /* Colours */

Redux::setSection( $opt_name, array(
	'title'      => __( 'Colours', 'wpjobster' ),
	'id'         => 'general-colours-settings',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'          => 'site_primary_color',
			'type'        => 'color',
			'output'      => apply_filters( 'wpj_primary_color_elements_filter', array(
				'background-color' => '
					.ui.primary.button,
					.ui.primary.label,
					.ui.menu .item > .ui.primary.label,
					.green-list li:before,
					.uploadifive-queue-item .progress-bar,
					#login input[type="submit"],
					.main-menu-container > div > ul > li:hover:after,
					.subscription-wrapper .ui.table.subscription-table thead > tr > th.subscr-price.active,
					.pm-offer-holder.pm-offer-green .padding-cnt:before, .pm-request-holder.pm-offer-green .padding-cnt:before,
					.wpj-card-style-3.ui.card i.circular.bordered.icon:hover,
					.wpj-card-style-3.ui.card .owl-video-play-icon:hover,
					.wpj-card-style-3.ui.card i.circular.bordered.icon,
					.wpj-card-style-3.ui.card .owl-video-play-icon,
					.customize-partial-edit-shortcuts-shown .primary,
					.ui.menu.wpj-custom-bottom .item > .label,
					.skill-uploader-wrapper .skill-image-wrapper:hover,
					.user-info-menu .ui.list>.item .description,
					.jp-flat-audio .jp-control,
					.text-button,
					.text-button:not(.text-button-simple):not(.text-button-secondary-soft):not(.text-button-gray-outlined):not(.text-button-dangerous-simple):not(.light):active,
					.text-button:not(.text-button-simple):not(.text-button-secondary-soft):not(.text-button-gray-outlined):not(.text-button-dangerous-simple):not(.light):focus,
					.text-button:not(.text-button-simple):not(.text-button-secondary-soft):not(.text-button-gray-outlined):not(.text-button-dangerous-simple):not(.light):hover,
					.ui-slider-handle.ui-state-default.ui-corner-all,
					.ui.toggle.checkbox input:checked ~ label:after,
					.single-job-info-list ul.green-list li:before,
					.new-ticket-page .aiosc-cholder input[type=submit],
					.ticket-preview-page .cholder input[type=submit],
					.aiosc-ticket-list .aiosc-toolbar .aiosc-tabs li.active span,
					.aiosc-ticket-details-table .aiosc-status.aiosc-status-queue,
					.aiosc-tickets-table .aiosc-status.aiosc-status-queue,
					.aiosc-filter-buttons .button.button-primary,
					.aiosc-window button:active,
					.aiosc-window button:focus,
					.aiosc-window button:hover,
					.aiosc-ticket-sidebar .aiosc-window button:hover,
					#apply_discount,
					.aiosc-filter-buttons .button,
					.aiosc-ticket-sidebar .aiosc-window button,
					.aiosc-window .button,
					.aiosc-ticket-preview .cholder input[type=submit]
				',
				'color' => '
					.ui.card > .content .card-job-price, .ui.cards > .card > .content .card-job-price,
					.ui.card > .content > a.header:hover, .ui.cards > .card > .content > a.header:hover,
					.uploadifive-queue-item span.filename,
					.ui.header.wpj-title-icon > .icon,
					.packages-sidebar .pck-price-sidebar,
					.mobile-packages .item.active .pck-tab-title,
					.pc-packages .pck-center.pck-pc-select-package.active .ui.button,
					.pc-packages .packages-table thead th.active,
					.fill-payment-color,
					.wpj-card-style-3.ui.card:hover a.list-header,
					.wpj-card-style-4.ui.card:hover a.list-header,
					.thread-input .wrapper-pm-attachments #queue + div:hover i,
					.input-pm-settings:hover .ui.dropdown > .icon,
					.pm-settings:hover .ui.dropdown > .icon,
					.input-pm-quick-response:hover .ui.dropdown > .icon,
					.pm-settings-menu.ui.dropdown:hover > .icon,
					.wrapper-pm-submit .ui.button:hover,
					.thread-input .emojionearea-button:hover .emojionearea-button-open,
					.thread-input .emojionearea-button:hover .emojionearea-button-close,
					.mobile-packages .pck-price,
					.thread-input .wrapper-pm-attachments .pm-file-attachments-button:hover i,
					.thread-input .wrapper-pm-attachments .pm-image-attachments-button:hover i,
					.order-message-form-content .ui.dropdown:hover > .icon,
					.emojionearea-button:hover *,
					.icon-before-title h2:before,
					.icon-before-title div:before,
					.icon-before-title:before,
					.attachment-item-link:before,
					.packages-sidebar .icon,
					.job-card .job-bottom-info .job-price .price,
					.job-card .user-area .user-content .user-name,
					.jobs-images-carousel .slide-item .bottom-content .user-content .user-job,
					.owl-carousel .owl-nav button,
					.kt-blocks-carousel .slick-slider .slick-arrow,
					.kt-post-grid-layout-carousel-wrap .splide__arrows .splide__arrow,
					.home-hero-slide .message-bubble .user span,
					.home-hero-slide .slide-review .review-author h6,
					.home-hero-slide .message-bubble .title,
					.home-hero-slide .message-bubble .category-text span,
					.subscription-wrapper .ui.checkbox.checked label,
					.ui.checkbox input:checked~label:after,
					.text-button.light,
					.comparison-table-header-main,
					.subscription-table .subscr-price,
					.comparison-table tbody tr td i.checkmark.icon,
					.dropdown-menu .dropdown-menu-list .item .symbol,
					.job-card .job-bottom-info .job-instant-delivery i,
					.job-card .job-bottom-info .job-lets-meet i,
					.job-card .job-featured i,
					.how-it-works-wrapper > span,
					.amount_section a,
					.ui.calendar .ui.icon.input > i.icon,
					.post-new-job-tabs-wrapper .kt-tabs-title-list.kb-tabs-list-columns .kt-tab-title svg,
					.post-new-wrapper.post-new-job-form-row-wrapper .kt-tab-title-active svg,
					.post-new-wrapper.post-new-request-form-row-wrapper .kt-tab-title-active svg,
					.generic-card .generic-card-header .user-content .user-link,
					.generic-card .generic-card-content .generic-card-categories a,
					.generic-card .generic-card-footer .budget .value-class,
					.dropzone .dz-message .dz-button span,
					.ui.form .post-new-no-tab-wrapper .tooltip-handler .add-faq,
					.ui.form .post-new-no-tab-wrapper .tooltip-handler .add-video,
					.ui.form .post-new-wrapper .tooltip-handler .add-faq,
					.ui.form .post-new-wrapper .tooltip-handler .add-video,
					.ui.secondary.pointing.menu .item.active span.pck-tab-title,
					.ui.secondary.pointing.menu .item:hover,
					.thread-header .conversation-title h2 a,
					.wp-hide-pw,
					.password-visibility,
					.header-wrapper .header-secondary-menu-wrapper > div > ul > li > a:hover,
					.user-portfolio-wrapper .portfolio-content .edit-info:hover,
					.user-info-icons-wrapper .icon:hover,
					.big-service-search .ui.dropdown > .dropdown.icon:before,
					.hiw-section .column .column-header .number,
					h1.wpj-main-header .icon,
					.how-it-works-wrapper h2 > span,
					.how-it-works-wrapper .hiw-section .column .column-header .number,
					.single-job-info-list .hiw-link a,
					.new-ticket-page .aiosc-cholder .aiosc-uploader-files li .aiosc-uploader-file-name a,
					.packages-sidebar .pck-sidebar-fields i.checkmark.icon,
					.pc-packages .sn-custom-fields .checkmark.icon,
					.color-20c497,
					.aiosc-window a:hover,
					#the-list a:hover,
					.search-message-form.ui.input .search-message-icons > .icon:hover,
					.subscription-eligible,
					.term-of-service-wrapper p a,
					.two-column-table .column .checkmark.icon,
					.dashboard-review-box .title-job-left,
					.wpj-review-work-sample.wpj-carousel .owl-item .selected:after,
					.payment-items-list .payment-item-price .check.icon
				',
				'border-color' => '
					.mobile-packages .ui.secondary.pointing.menu .active.item,
					.all-notifications-list-wrapper .wpj-notification-unread a,
					.all-notifications-list-wrapper li.wpj-notification-read:hover a,
					.ui.segments > .segment.pm-holder.pm-unread-message:not(.active),
					h2.small,
					input:focus,
					select:focus,
					textarea:focus,
					.pc-packages .pck-center.pck-pc-select-package.active .ui.button,
					.order-message-form-content.focus,
					.pace .pace-progress,
					.order-additional-wrapper .job-purchase-action.small:not(.disabled),
					.order-additional-wrapper .single-job-custom-offer-button.small:not(.disabled)
				',
				'outline-color' => '
					h2.small,
					:focus,
					.order-message-form-content.focus
				',
				'border-right-color'  => '.ui.action.input:not([class*="left action"]) > .ui.input > input:focus',
				'border-bottom-color' => '
					.wpj-dashboard-table-wrapper .wpj-dashboard-table .wpj-dashboard-table-header,
					.order-additional-sidebar-wrapper .ui.menu.ui.menu > a.item.active
				'
			) ),
			'title'       => esc_html__( 'Primary colour', 'wpjobster' ),
			'default'     => '#20c497',
			'color_alpha' => true,
		),
		array(
			'id'          => 'site_secondary_color',
			'type'        => 'color',
			'output'      => array(
				'background-color' => '
					.ui.secondary.button,
					.pm-offer-holder.pm-offer-gray .padding-cnt:before,
					.pm-request-holder.pm-offer-gray .padding-cnt:before,
					.customize-partial-edit-shortcuts-shown .secondary:not(.menu),
					.jp-flat-audio .jp-seek-bar.jp-seek-bar-display,
					.text-button.secondary,
					.text-button.text-button-secondary,
					.aiosc-ticket-details-table .aiosc-status.aiosc-status-open,
					.aiosc-tickets-table .aiosc-status.aiosc-status-open,
					.aiosc-filter-buttons .button,
					.pm-custom-offer .pm-custom-offer-header-wrapper,
					.aiosc-filter-buttons .button.button-primary,
					.aiosc-window .button.button-primary
				',
				'border-color' => '
					.pm-offer-holder.pm-offer-gray .padding-cnt:before,
					.pm-request-holder.pm-offer-gray .padding-cnt:before,
					.customize-partial-edit-shortcuts-shown .secondary:not(.menu)
				',
				'color' => '
					.ui.form .post-new-no-tab-wrapper .tooltip-handler .delete-extra,
					.ui.form .post-new-no-tab-wrapper .tooltip-handler .delete-faq,
					.ui.form .post-new-no-tab-wrapper .tooltip-handler .delete-video,
					.ui.form .post-new-wrapper .tooltip-handler .delete-extra,
					.ui.form .post-new-wrapper .tooltip-handler .delete-faq,
					.ui.form .post-new-wrapper .tooltip-handler .delete-video,
					.text-button-simple-secondary,
					.categories-list .category-title,
					.packages-sidebar .pck-sidebar-name,
					.sidebar-top-info .type,
					.sidebar-top-info .price,
					.packages-sidebar .pck-sidebar-compare-packages,
					.packages-sidebar.no-border .pck-sidebar-compare-packages,
					.color-426195,
					.new-ticket-page .aiosc-cholder .aiosc-uploader-files li i.dashicons.mainicon
				'
			),
			'title'       => esc_html__( 'Secondary colour', 'wpjobster' ),
			'default'     => '#426195',
			'color_alpha' => true,
		),
		array(
			'id'          => 'site_tertiary_color',
			'type'        => 'color',
			'output'      => array(
				'background-color' => '
					.pm-holder.pm-user-own-message .pm-content,
					.aiosc-ticket-list .aiosc-toolbar .aiosc-tabs li.active,
					.wpj-tabs-menu .item.active, .wpj-tabs-menu.ui.secondary.menu .item.active
				'
			),
			'title'       => esc_html__( 'Tertiary colour', 'wpjobster' ),
			'default'     => '#c4ffef',
			'color_alpha' => true,
		),
		array(
			'id'         => 'wpj_compile_theme_colours',
			'type'       => 'raw',
			'title'      => __( 'Compile site colours', 'wpjobster' ),
			'subtitle'   => __( 'In order for these colors to be applied throughout the site, after saving them, they must be compiled and this process can take between 1 and 5 minutes depending on your server. After pressing this button, please wait until "Compilation Completed" text appears in the console.', 'wpjobster' ),
			'desc'       => __( 'Please click the "Save" button above before clicking this button for the latest colors to be taken into account.', 'wpjobster' ),
			'full_width' => false,
			'content'    => '<a class="button-secondary cursor-pointer compiler-colours-btn" onclick="wpj_compile_theme_colours();">' . __( 'Compile colours', 'wpjobster' ) . '</a>'
		),
		array(
			'id'       => 'text-selection-section-settings',
			'type'     => 'section',
			'title'    => esc_html__( 'Text selection', 'wpjobster' ),
			'indent'   => true,
		),
		array(
			'id'          => 'text_selection_color',
			'type'        => 'color',
			'output'      => array(
				'color' => '::selection, .highlighted',
			),
			'title'       => esc_html__( 'Color', 'wpjobster' ),
			'default'     => '#ffffff',
			'color_alpha' => true,
		),
		array(
			'id'          => 'text_selection_bgcolor',
			'type'        => 'color',
			'output'      => array(
				'background' => '::selection, .highlighted',
			),
			'title'       => esc_html__( 'Background color', 'wpjobster' ),
			'default'     => '#20c497',
			'color_alpha' => true,
		),
	)
) );