<?php if ( $terms ) { ?>

	<div class="ui four column doubling stackable grid">

		<?php foreach ( $terms as $term ) {

			if ( ! $parents_without_children && ! get_term_children( $term->term_id, 'job_cat' ) ) continue; ?>

			<div class="column">

				<div class="categories-list">

					<a class="category-title" href="<?php echo get_term_link( $term->slug, 'job_cat' ); ?>">

						<?php echo $term->name; ?>

						<div class="category-count"><?php echo $term->count; ?></div>

					</a>

					<?php $terms2 = get_terms( 'job_cat', 'parent=' . $term->term_id . '&hide_empty=0' );

					if ( $terms2 ) { ?>

						<div class="subcategory-list">
							
							<?php foreach ( $terms2 as $term2 ) { ?>

								<div class="item">

									<a href="<?php echo get_term_link( $term2->slug, 'job_cat' ); ?>">

										<?php echo $term2->name; ?>

										<div class="category-count"><?php echo $term2->count; ?></div>

									</a>

								</div>

								<?php $terms3 = get_terms( 'job_cat', 'parent=' . $term2->term_id . '&hide_empty=0' );

								if ( $terms3 ) {

									foreach ( $terms3 as $term3 ) { ?>

										<div class="item">

											<a href="<?php echo get_term_link( $term3->slug, 'job_cat' ); ?>">

												<?php echo $term3->name; ?>

												<div class="category-count"><?php echo $term3->count; ?></div>

											</a>

										</div>

										<?php $terms4 = get_terms( 'job_cat', 'parent=' . $term3->term_id . '&hide_empty=0' );

										if ( $terms4 ) {

											foreach ( $terms4 as $term4 ) { ?>

												<div class="item">

													<a href="<?php echo get_term_link( $term4->slug, 'job_cat' ); ?>">

														<?php echo $term4->name; ?>

														<div class="category-count"><?php echo $term4->count; ?></div>

													</a>

												</div>

											<?php }

										}

									}

								}

							} ?>

						</div>

					<?php } ?>

				</div>

			</div>

		<?php } ?>

	</div>

<?php } else {

	wpj_display_no_categories_notice_warning();

}