				</div><!-- END #main-content -->

			</div><!-- END main-wrapper -->

	<!-- END PAGE CONTENT -->

			<?php wp_reset_query();

			do_action( 'wpj_before_footer' ); ?>

	<!-- FOOTER -->

			<?php if ( $no_header_footer == false ) { ?>

				<div class="footer-wrapper <?php if ( isset( $jobster_design['footer_in_grid'] ) && $jobster_design['footer_in_grid'] == false ) { echo 'footer-wrapper-full'; } ?>">

					<div class="main-content cf">

						<div class="footer-split-content">

							<!-- Row - Logo -->
							<div class="footer-start-content">

								<!-- Logo -->
								<div class="logo-holder">
									<a href="<?php echo home_url( '/' ); ?>">

										<?php if ( ! empty( $jobster_design['footer_logo_image']['url'] ) ) { ?>

											<img src="<?php echo $jobster_design['footer_logo_image']['url']; ?>" alt="logo">

										<?php } else { ?>

											<img alt="logo" class="logo" src="<?php echo wpj_get_site_logo_url(); ?>" />

										<?php } ?>

									</a>
								</div>

								<!-- Copyright text -->
								<div class="footer-copyright">
									<p>

										<?php echo ! empty( $jobster_design['copyright_text'] ) ? $jobster_design['copyright_text'] : sprintf( __( '&copy; %d wpjobster.com', 'wpjobster' ), date( 'Y' ) ); ?>

									</p>
								</div>

								<?php if ( ! empty( $jobster_design['iphone_app_link'] ) || ! empty( $jobster_design['android_app_link'] ) ) { ?>

									<div class="app-platforms">

										<?php if ( ! empty( $jobster_design['iphone_app_link'] ) ) { ?>

											<a href="<?php echo $jobster_design['iphone_app_link']; ?>" class="app-platform">
												<img src="<?php echo ! empty( $jobster_design['iphone_app_image']['url'] ) ? $jobster_design['iphone_app_image']['url'] : get_template_directory_uri() . '/assets/images/footer/app-store.svg'; ?>" alt="">
											</a>

										<?php }

										if ( ! empty( $jobster_design['android_app_link'] ) ) { ?>

											<a href="<?php echo $jobster_design['android_app_link']; ?>" class="app-platform">
												<img src="<?php echo ! empty( $jobster_design['android_app_image']['url'] ) ? $jobster_design['android_app_image']['url'] : get_template_directory_uri() . '/assets/images/footer/google-play.svg'; ?>" alt="">
											</a>

										<?php } ?>

									</div>

								<?php } ?>

								<!-- Social Media -->
								<?php if ( $social_media_data && is_array( $social_media_data ) && isset( $social_media_data['redux_repeater_data'] ) ) { ?>

									<div class="footer-col-social-media">

										<div class="social-media-widgets-area">

											<h2 class="widget-title"><?php _e( 'Follow us on:', 'wpjobster' ); ?></h2>

											<div class="menu-social-media-menu-container">

												<ul id="menu-social-media-menu" class="menu">

													<?php foreach ( $social_media_data['redux_repeater_data'] as $key => $icon ) { ?>

														<li class="menu-item menu-item-type-custom menu-item-object-custom">

															<a href="<?php echo $social_media_data['social_media_link'][$key]; ?>">

																<i class="<?php echo $social_media_data['social_media_icon_name'][$key]; ?> icon"></i>

															</a>

														</li>

													<?php } ?>

												</ul>

											</div>

										</div>

									</div>

								<?php } ?>

							</div>
							<!-- END Row - Logo -->

							<!-- Row - Widgets -->
							<div class="ui <?php if ( isset( $jobster_design['footer_columns_same_row'] ) && $jobster_design['footer_columns_same_row'] == false && $widget_columns > 4 ) { echo 'four'; } else { echo wpj_number_to_string( $widget_columns ); } ?> column doubling stackable grid footer-widgets-content">

								<?php for ( $x = 1; $x <= $widget_columns; $x++ ) {

									if (
										(
											isset( $jobster_design['footer_columns_same_row'] )
											&& $jobster_design['footer_columns_same_row'] == false
											&& ( $x !== 4 || $widget_columns < 5 )
										) || (
											isset( $jobster_design['footer_columns_same_row'] )
											&& $jobster_design['footer_columns_same_row'] == true
										)
									) { ?>

										<div class="column footer-col-widget<?php echo $x; ?>">

									<?php }

											if ( is_user_logged_in() ) {
												if ( is_active_sidebar( 'footer-widget-' . $x . '-logged-in' ) )
													dynamic_sidebar( 'footer-widget-' . $x . '-logged-in' );

											} else {
												if ( is_active_sidebar( 'footer-widget-' . $x ) )
													dynamic_sidebar( 'footer-widget-' . $x );

											}

									if (
										(
											isset( $jobster_design['footer_columns_same_row'] )
											&& $jobster_design['footer_columns_same_row'] == false
											&& ( $x !== 3 || $widget_columns < 5 )
										) || (
											isset( $jobster_design['footer_columns_same_row'] )
											&& $jobster_design['footer_columns_same_row'] == true
										)
									) { ?>

										</div>

									<?php }

								} ?>

							</div>
							<!-- END Row - Widgets -->

						</div>

					</div>

					<div class="footer-bottom">

						<div class="main-content cf">
							
							<!-- Bottom Row -->
							<div class="ui two column <?php if ( wpj_is_mobile() || wpj_is_tablet() ) { echo 'stackable '; } else { echo ' '; } ?>grid">

								<!-- Carts -->
								<div class="column footer-col-carts">

									<ul class="payment-icons">

										<?php if ( ! empty( $cards['card_item'][0]['url'] ) ) {

											foreach ( $cards['redux_repeater_data'] as $key => $card ) { ?>

												<li><img width="40" height="40" src="<?php echo $cards['card_item'][$key]['url']; ?>" class="attachment-thumbnail size-thumbnail" /></li>

											<?php }

										} else {

											foreach ( $files as $file ) { ?>

												<li><img width="40" height="40" src="<?php echo $file; ?>" class="attachment-thumbnail size-thumbnail"></li>

											<?php }

										} ?>

									</ul>

								</div>


								<!-- Currency switcher -->
								<?php if ( count( $wpjobster_currencies_array ) > 1 ) { ?>

									<div class="column footer-col-currency"><?php wpj_display_currency_selector( 'pc', 'upward without-rotation' ); ?></div>

								<?php } ?>

							</div>
							<!-- END Row -->

						</div>

					</div>

				</div>

			<?php } ?>

	<!-- END FOOTER -->

			<?php do_action( 'wpj_after_footer' ); ?>

	<!-- ANALYTICS -->

			<div class="analytics-wrapper">

				<?php if ( wpj_get_option( 'wpjobster_enable_google_analytics' ) == "yes" ) { echo stripslashes( wpj_get_option( 'wpjobster_analytics_code' ) ); }

				if ( wpj_get_option( 'wpjobster_enable_other_tracking' ) == "yes" ) { echo stripslashes( wpj_get_option( 'wpjobster_other_tracking_code' ) ); } ?>

			</div>

	<!-- END ANALYTICS -->

	<!-- SCROLL TO TOP -->

			<?php if ( ! empty( $jobster_design['scroll_to_top_enable'] ) && $jobster_design['scroll_to_top_enable'] == true ) { ?>

				<div class="scroll-to-top-wrapper">

					<a href="#" class="button scrollToTop"><i class="chevron circle up icon"></i></a>

				</div>

			<?php } ?>

	<!-- END SCROLL TO TOP -->

	<!--SCRIPTS -->

			<div class="wp-footer-scripts">

				<?php wp_footer(); ?>

			</div>

	<!-- END SCRIPTS -->

		</div><!-- END pusher -->

<!-- END PAGE WRAPPER -->

		<?php do_action( 'wpj_after_pusher' ); ?>

	</body>

</html>