<div class="feedback-item">

	<?php wpj_display_user_photo( array( 'uid' => $user->ID, 'width' => 80, 'height' => 80, 'link_class' => 'job-feedback-picture' . ( ! $row->reason ? ' middle-align' : '' ) ) ); ?>

	<div class="feedback-content">

		<div class="feedback-content-header">

			<div class="start">

				<div class="title">

					<a href="<?php echo wpj_get_user_profile_link( $user->user_login ); ?>">

						<?php echo wpj_get_user_display_type( $user->ID );

						if ( $row->pid != get_the_ID() ) { ?>

							<span class="fw400 color-686e77"><?php _e( '(custom job)', 'wpjobster' ); ?></span>

						<?php } ?>

					</a>

				</div>

				<div class="date">

					<?php echo wpj_date( wpj_get_option( 'date_format' ), $row->datemade ); ?>

				</div>

			</div>

			<div class="end">

				<div class="single-job-rating-stars">

					<?php wpj_display_rating_stars( $row->grade ); ?>

				</div>

			</div>

		</div>

		<div class="feedback-content-text">

			<?php echo wpj_apply_filter_to_string( stripslashes( $row->reason ), false, 'userprofiles' ); ?>

		</div>

		<!-- Answer review -->
		<div class="feedback-feedbacks"><?php wpj_display_job_review_response_text( $row->orderid, $row->pid ); ?></div>

	</div>

	<?php if ( isset( $row->sample ) ) { wpj_display_work_sample_preview_image( $row->sample ); } ?>

</div>