<div class="review-list-item dashboard-review-box" id="post-<?php echo $row->ratid; ?>">

	<div class="df flex-thumb-text wpj-review-work-sample-wrapper">

		<div>

			<div class="review-job-image">

				<a href="<?php echo get_permalink( $row->pid ); ?>"><img width="50" height="50" src="<?php echo wpj_get_job_image( $row->pid, 41, 41 ); ?>" class="round-avatar" /></a>

			</div>

		</div>

		<div class="pl10">

			<div class="review-job-title">

				<h3>

					<a href="<?php echo get_permalink( $row->pid ); ?>">

						<?php echo wpj_wrap_title( $post->post_title, $row->pid ); ?>

					</a>

				</h3>

				<div class="review-posted">

					<?php wpj_display_rating_stars( $row->grade ); ?>

				</div>

				<?php if ( isset( $row->sample ) ) { ?>

					<div class="review-work-sample">

						<?php wpj_display_work_sample_preview_image( $row->sample ); ?>

					</div>

				<?php } ?>

			</div>

			<div class="review-rating-job my-ratings">

				<div class="review-meta review-time">

					<span><?php echo wpj_date( wpj_get_option( 'date_format' ) . ' - ' . wpj_get_option( 'time_format' ), $row->datemade ); ?></span>

				</div>

				<div class="review-meta">
					
					<span><?php _e( 'Order', 'wpjobster' ); ?></span>

					<a href="<?php echo wpj_get_order_link_by_payment_type( 'job_purchase', $row->orderid ); ?>">

						<?php echo '&nbsp#' . wpj_camouflage_oid( $row->orderid, $row->datemade ); ?>

					</a>

				</div>

				<div class="review-meta">

					<span><?php _e( 'From', 'wpjobster' ); ?></span>

					<a class="user-link" href="<?php echo wpj_get_user_profile_link( $buyer_slug ); ?>">

						<?php echo $buyer_slug; ?>

					</a>

				</div>

			</div>

			<div class="review-comment-job">

				<p>

					<?php echo stripslashes( wpj_apply_filter_to_string( $row->reason, false, 'joblistings' ) ); ?>

				</p>

			</div>

		</div>

	</div>

</div>