<div class="ui modal center" id="new-quick-response-modal-<?php echo $uid; ?>">

	<i class="close icon"></i>

	<div class="header"><?php _e( 'Create a new quick response', 'wpjobster' ); ?></div>

	<div class="content">

		<div class="ui form">

			<div class="field">

				<?php wpj_display_quick_response_info_notice(); ?>

			</div>

			<div class="field">

				<input type="text" class="quick-response-name-input" placeholder="<?php _e( 'Name the Quick Response', 'wpjobster' ); ?>" />

			</div>

			<div class="field">

				<textarea rows="3" class="quick-response-content-textarea" placeholder="<?php _e( 'Enter your Quick Response', 'wpjobster' ); ?>"></textarea>

			</div>

			<div class="field">

				<?php wpj_display_message( array( 'message_class' => 'negative', 'message_id' => 'quick-response-error' ) ); ?>

			</div>

			<input type="hidden" class="edit-action" />

		</div>

	</div>

	<div class="actions">

		<div class="ui cancel labeled icon button">

			<?php _e( 'Cancel', 'wpjobster' ); ?>

			<i class="close icon"></i>

		</div>

		<div class="ui green labeled icon button" id="save-quick-response" data-uid="<?php echo $uid; ?>" data-username="<?php echo $username; ?>">

			<?php _e( 'Save', 'wpjobster' ); ?>

			<i class="white checkmark icon"></i>

		</div>

	</div>

</div>