<?php wpj_display_user_graph( 'sales' ); ?>

<div class="user-dashboard-wrapper">

	<?php wpj_display_user_sidebar( get_current_user_id() ); ?>

	<div class="user-account-wrapper js-user-account-wrapper user-dashboard-page pr">

		<div data-currency="<?php echo wpj_get_site_curreny(); ?>">

			<div class="mb20">

				<?php wpj_display_title( array( 'title' => __( 'Buy Badges', 'wpjobster' ) ) ); ?>

			</div>

			<?php wpj_display_badge_notices();

			if ( wpj_get_option( 'wpjobster_enable_badges_sale' ) == 'yes' ) {

				if ( wpj_get_option( 'wpjobster_credits_enable' ) != 'no' ) { ?>

					<div class="wpj-bordered-container no-padding">

						<form action="<?php echo get_bloginfo( 'url' ); ?>" method="get">

							<div class="ui segment mb0 no-box-shadow">

								<div class="ui two column stackable grid">

									<div class="sixteen wide column">

										<div class="payment-cnt">

											<?php wpj_display_badges_payment_list(); ?>

										</div>

									</div>

								</div>

							</div>

							<?php if ( is_array( $user_badge ) && is_array( $badges_data ) && count( $user_badge ) >= count( $badges_data['redux_repeater_data'] ) ) {} else { ?>
						
								<div class="payment-buttons-bar-wrapper">

									<div class="payment-buttons-bar">

										<!-- Buttons -->
										<div class="left-content">

											<?php wpj_display_payment_buttons( 'badge' ); ?>

										</div>

										<!-- Total price -->
										<div class="payment-total-price">

											<?php _e( 'Total: ','wpjobster' ); wpj_display_job_order_total_price( 'badge' ); ?>

										</div>

									</div>

								</div>

							<?php } ?>

						</form>

					</div>

				<?php }

			} ?>

		</div>

	</div>

</div>